<?php
require_once 'include/DB_Funciones.php';
$db = new DB_Funciones();
  
// json response array


if (isset($_POST['category'])) {
    
    $category = $_POST['category'];

    $product = $db->getProductByCategory($category);
  
    if ($product != false) {
        echo json_encode($product);
    } else {
        $response = array("error" => FALSE);
        // product is not found with the credentials
        $response["error"] = TRUE;
        $response["error_msg"] = "No se han encontrado productos para la categoría seleccionada";
        echo json_encode($response);
    }
}
else {

    if (isset($_POST['id'])) {
        $id = $_POST['id'];

        $product = $db->getProductById($id);
      
        if ($product != false) {
            // use is found
            $response["error"] = FALSE;
            //$response["uid"] = $product["id"];
            $response["product"]["id"] = $product["id_product"];
            $response["product"]["name"] = $product["name"];
            $response["product"]["description"] = $product["description"];

            $response["product"]["category"] = $product["category"];
            $response["product"]["photo"] = $product["photo"];
            $response["product"]["price"] = $product["price"];
            $response["product"]["user"] = $product["user"];
            $response["product"]["material"] = $product["material"];
            $response["product"]["reference"] = $product["reference"];
            $response["product"]["min_size"] = $product["min_size"];
            $response["product"]["max_size"] = $product["max_size"];
            $response["product"]["quantity"] = $product["quantity"];
            $response["product"]["url"] = $product["url"];
            echo json_encode($response);
        } else {
            // user is not found with the credentials
            $response["error"] = TRUE;
            $response["error_msg"] = "No existe producto con dicho id";
            echo json_encode($response);
        }
    }
    else {    
        $response = array("error" => FALSE);

        // get the product by email and password
        $product = $db->getProducts();
      
        if ($product != false) {
            // use is found
            $response["error"] = FALSE;

            $response["product"] = $product;
            
            echo json_encode($response);
        } else {
            // product is not found with the credentials
            $response["error"] = TRUE;
            $response["error_msg"] = "Credenciales incorrectas";
            echo json_encode($response);
        }
    }
}
?>