<?php
class DB_Funciones {
  
    private $conn;
  
    // constructor
    function __construct() {
        require_once 'DB_Connect.php';
        // connecting to database
        $db = new Db_Connect();
        $this->conn = $db->connect();
    }
  
    // destructor
    function __destruct() {
          
    }
  
    
  
    /**
     * obtener usuario con mail y contraseña
     */
    public function getUserByEmailAndPassword($email, $password) {
  
        $stmt = $this->conn->prepare("SELECT * FROM vHTF5Wkj18_users WHERE mail = ?");
  
        $stmt->bind_param("s", $email);
  
        if ($stmt->execute()) {
            $user = $stmt->get_result()->fetch_assoc();
            $stmt->close();

            // Método que encripta la contraseña cuando se crea
            //$passHash = password_hash($password, PASSWORD_BCRYPT);

            // Obtener hash de pass
            $pass = $user['password'];
            
            // Comprobar que es correcta
            if (password_verify($password, $pass) ) {
                return $user;
            }
        } else {
            return NULL;
        }
    }


    public function getProducts() {
  
        $stmt = $this->conn->prepare("SELECT * FROM vHTF5Wkj18_products");
  
        if ($stmt->execute()) {
  
            return $products;
        } else 
            return NULL;

    }



    public function getProductByCategory($category) {

        $sql_selec = "SELECT * FROM vHTF5Wkj18_products WHERE category = '" . $category . "';";

        $stmt = $this->conn->prepare($sql_selec);
        $response = array("error" => FALSE);

        if ($stmt->execute()){
            $cbg = array();
            $result = $stmt->get_result();
            while($row = $result->fetch_assoc()) {
                $cbg[] = $row;
            }

            $stmt->close();
            return $cbg;
        } else {
            return NULL;
        } 

    }



    public function getProductById($id) {

        $stmt = $this->conn->prepare("SELECT * FROM vHTF5Wkj18_products WHERE id_product = ?");
        $stmt->bind_param("s", $id);
        $response = array("error" => FALSE);

        if ($stmt->execute()) {
            $product = $stmt->get_result()->fetch_assoc();
            $stmt->close();
            return $product;
        } else {
            return NULL;
        }

    }

    

  
}
  